import { SvelteComponentTyped } from "svelte";
import type { ColorVariant } from '../types';
import { fade } from 'svelte/transition';
declare const __propDef: {
    props: {
        [x: string]: any;
        color?: ColorVariant;
        large?: boolean;
        dismissable?: boolean;
        border?: boolean;
        href?: string;
        rounded?: boolean;
        transition?: typeof fade;
        params?: {};
    };
    events: {
        close: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
        'close-button': {
            close: () => void;
        };
    };
};
export type BadgeProps = typeof __propDef.props;
export type BadgeEvents = typeof __propDef.events;
export type BadgeSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let color: ColorVariant = 'primary'
 * export let large: boolean = false
 * export let dismissable: boolean = false
 * export let border: boolean = false
 * export let href: string = ''
 * export let rounded: boolean = false
 * export let transition = fade
 * export let params = {}
 *
 * let badgeStatus: boolean = true;
 */
export default class Badge extends SvelteComponentTyped<BadgeProps, BadgeEvents, BadgeSlots> {
}
export {};
