import { SvelteComponentTyped } from "svelte";
import type { TransitionTypes, TransitionParamTypes } from '../types';
declare const __propDef: {
    props: {
        [x: string]: any;
        btnClass?: string;
        label?: string;
        spanClass?: string;
        ulClass?: string;
        transitionType?: TransitionTypes;
        transitionParams?: TransitionParamTypes;
        isOpen?: boolean;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        icon: {};
        arrowup: {};
        arrowdown: {};
        default: {};
    };
};
export type SidebarDropdownWrapperProps = typeof __propDef.props;
export type SidebarDropdownWrapperEvents = typeof __propDef.events;
export type SidebarDropdownWrapperSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let btnClass: string = 'flex items-center p-2 w-full text-base font-normal text-gray-900 rounded-lg transition duration-75 group hover:bg-gray-100 dark:text-white dark:hover:bg-gray-700';
 * @prop export let label: string = '';
 * @prop export let spanClass: string = 'flex-1 ms-3 text-left whitespace-nowrap';
 * @prop export let ulClass: string = 'py-2 space-y-2';
 * @prop export let transitionType: TransitionTypes = 'slide';
 * @prop export let transitionParams: TransitionParamTypes = {};
 * @prop export let isOpen = false;
 */
export default class SidebarDropdownWrapper extends SvelteComponentTyped<SidebarDropdownWrapperProps, SidebarDropdownWrapperEvents, SidebarDropdownWrapperSlots> {
}
export {};
